--[[ Глава 3, часть 2. ]]

game_level_hints.levels["Chapter03_02"] = function()
	return 
    {
		miniscenes({
			mortars = 
            {
				on_scene("sun_temple_past", end_level("area_to_mortars"))
			},
			sun_temple_past = 
            {
				on_scene("mortars", end_level("area_to_temple")),
				on_scene("sun_temple_present", click("gui_amulet_temple_present")),
				on_scene("miniscene_roof", end_level("area_to_temple_hint")),
				on_scene("miniscene_roof", end_level("area_to_temple_"))
			},
			sun_temple_present = 
            {
				IF(state("gui_amulet_temple", "gui_amulet02_01"), on_scene("sun_temple_past", click("gui_amulet_temple")))				
			},
			miniscene_altar = 
			{
				on_scene("sun_temple_past", miniscene("area_opened_altar")),
				IF(hidden("cap_closed"), miniscene("area_altar_past"))
			},
			miniscene_idol =
			{
				on_scene("mortars", miniscene("area-aim-of-level"))
			}--,
			--miniscene_roof =
			--{
				--on_scene()
			--}
		}),
		
		hog_hints("chapter03_hog_big_objects"),
		hog_hints("chapter03_hog_small_objects"),

		on_scene("mortars", {
			minigame("area-hog02"), -- ищем амулет
			-- собираем кусочки головы
			IF(NOT(hidden("gui_amulet_mortars")), 
			{
				take("Head-01", "area-head-01"),
				take("Head-02", "area-head-02"),
				take("Head-03", "area-head-03"),
				take("Head-04", "area-head-04"),
				take("Head-05", "area-head-05"),
				take("Head-06", "area-head-06"),
				take("Head-07", "area-head-07"),
				take("Head-08", "area-head-08"),
				take("Head-09", "area-head-09"),
				take("Head-10", "area-head-10"),
				take("Head-11", "area-head-11"),
				take("Head-12", "area-head-12") 
			}),
			-- вставляем лицо
			IF(state_in_inv("Head_inv", "__inv12"), click("idol_face_area", "Head_inv")),
			-- наливаем водичку в кружку
			IF(in_inv("Mug"), take("Mug-of-water", "area-tears")),
			click("area-tears", "Mug"),
			-- наливаем водичку в ступки
			click("mortar-area", "Mug-of-water"),
			take("Blue-crystals", "crystal01"), -- берем голубые кристаллы
			--вставляем кристаллы в идола,
			click("Idol-head", "Blue-crystals"),
			minigame("area-hog"), -- пройти хог и найти рычаг
			-- вставить рычаг и поднять его
			click("Idol-chest", "Lever"),
			IF(state("Idol-chest", "idol-chest02"), click("Idol-chest")),
			-- берем кристаллы для окон
			IF(NOT(hidden("gui_amulet_mortars")), take("Red_crystal", "red_crystal_area")),
			IF(hidden("Wall-left"), click("area-left-wall", "Pickaxe")), -- раздолбать тайник
			take("Yellow_crystal", "yellow_crystal_area"),
			take("Pink_crystal", "pink_crystal_area"),
			-- открываем окна
			IF(disabled("area-hog02"), minigame("area-center")), 
			IF(NOT(state("Window03","window03_07")), click("Window03")),
			
			-- вставляем  лупу, для этого можно кликнуть на любую из четырех подставок
			IF( {NOT(on_level("Three_crystals")), NOT(in_inv("Three_crystals"))},
				{
					click("pedestal-01", "Magnifier"),
					click("pedestal-02", "Magnifier"),
					click("pedestal-03", "Magnifier"),
					click("pedestal-04", "Magnifier")
				}
			),
			-- вставляем  кристаллы, для этого можно кликнуть на любую из четырех подставок
			click("pedestal-01", "Three_crystals"),
			click("pedestal-02", "Three_crystals"),
			click("pedestal-03", "Three_crystals"),
			click("pedestal-04", "Three_crystals")--,
		}),
		
		on_scene("miniscene_idol",{
			take("Water", "area_element_water") -- элемент воды
		}),
		
		on_scene("sun_temple_present", take("Pickaxe")), -- кирка, чтоб раздолбать стену с тайником
		
		on_scene("sun_temple_past", {
			IF(NOT(hidden("clip-crying")), take("Mug")), -- взяли чашку, в которую наливаем воду
			
			minigame("area_roof") -- проходим игру с солнцем
		}),
		
		on_scene("miniscene_altar", {
			take("Fire", "area_element_fire") -- элемет огня
		})
	}
	
end 
